<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Proxy API</title>
    <filename>main</filename>
    <docanchor file="main">globus_gsi_proxy_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__proxy__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_PROXY_MODULE</name>
      <anchorfile>group__globus__gsi__proxy__activation.html</anchorfile>
      <anchor>ge1e04ab648fafb2af01df8d398caf75d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_handle</name>
    <title>Handle Management</title>
    <filename>group__globus__gsi__proxy__handle.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_init</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g84870d8029569c1880e6074b97e89124</anchor>
      <arglist>(globus_gsi_proxy_handle_t *handle, globus_gsi_proxy_handle_attrs_t handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_destroy</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>gc1e4cdf0d6a8b63de23bc4ea3b927892</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_req</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>gd18e36622eaa745d54609436c7111a4b</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, X509_REQ **req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_req</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>gbf9bd46c8bbda844b698a7dc43717299</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, X509_REQ *req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_private_key</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g4a1c494eb06c6aa3ea699296d8e828a1</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, EVP_PKEY **proxy_key)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_private_key</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g374c1c178f04023e315ded7a9b895889</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, EVP_PKEY *proxy_key)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_type</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g66daa7578b534e0d9571067dd9d7213a</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cert_utils_cert_type_t *type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_type</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g2692c38b8a6367b17fbf1ae36e9fceab</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cert_utils_cert_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_policy</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g8dfb2f061108ed5050d929c13e64b00e</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, unsigned char *policy_data, int policy_length, int policy_language_NID)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_policy</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g54cebbaded9e70fe53dd2ffbf8fcc213</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, unsigned char **policy_data, int *policy_length, int *policy_NID)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_pathlen</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g62c63f23e2d70d386721c2c489c2947e</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, long pathlen)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_pathlen</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g022df5f6da6fe342d05fcad95414de81</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *pathlen)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_time_valid</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g8a470e96513efe3defa8cc2fccdc8e1c</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *time_valid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_time_valid</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g42207b95123c680cf4c03fe72ebfa43f</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int time_valid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_clear_cert_info</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>gafbe9138a78f3dd8d6921c88afb12e60</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_proxy_cert_info</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g7c70f6933d1d7067cd6817d8b8aac173</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, PROXYCERTINFO **pci)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_proxy_cert_info</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g06c8abefee4025a3c1dfb1c3c386314e</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, PROXYCERTINFO *pci)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_signing_algorithm</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g51b865abef87271bda75ca7326d849ca</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, EVP_MD **signing_algorithm)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_keybits</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>gb05f8d54c457010ba44bcaf3daf24eb2</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *key_bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_init_prime</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g23f5d7424763b4abdb9aa65ad382e0b6</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *init_prime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_clock_skew_allowable</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g60d4c6d1c7d85eaf97b5a93280c6a1c6</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, int *skew)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_key_gen_callback</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g9b959e23a67dfe1bc3eb343a0c95ebaf</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, void(**callback)(int, int, void *))</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_get_common_name</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>gd12161eebbb6b547465cf835fb6c97b9</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, char **common_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_common_name</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>ga7452674de2840e7df597cf2d0417b8e</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, char *common_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_set_is_limited</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g33610cdc1c5d37e2a2ecacff068372ba</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_bool_t is_limited)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_is_limited</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g46d794f76c1fc594618bd6d778c034b9</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_bool_t *is_limited)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_proxy_handle_s *</type>
      <name>globus_gsi_proxy_handle_t</name>
      <anchorfile>group__globus__gsi__proxy__handle.html</anchorfile>
      <anchor>g70cb8b3683157dcaec8bc5b702896945</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_handle_attrs</name>
    <title>Handle Attributes</title>
    <filename>group__globus__gsi__proxy__handle__attrs.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_init</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>gfc0704fc35317f1d3ab909544fc2c83e</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t *handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_destroy</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g899d4ba7a9c1a2a6c5cd3b746ae1eaec</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_keybits</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g64af4b3d98f24d6d7bd65d1200389c9a</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_keybits</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g91b3b11d75096c2b0b331e610af3fc0b</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int *bits)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_init_prime</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g7e223792b016d260c4c171b11f36071a</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int prime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_init_prime</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g7f7d2eff16b019c0e72c6cd485f43276</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int *prime)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_signing_algorithm</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g4932ffca7070951f7421c08c07997022</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, EVP_MD *algorithm)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_signing_algorithm</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g1a58c09410d1a3c205725a9643463d36</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, EVP_MD **algorithm)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_clock_skew_allowable</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g9416fbe1bd9019b40be14d3086ee3567</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int skew)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_clock_skew_allowable</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g2976b3ace86662e4a8dac64e2c5b5073</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, int *skew)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_get_key_gen_callback</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g318d4541f95ccfdc30c8bac537ef0cda</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, void(**callback)(int, int, void *))</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_set_key_gen_callback</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g0da15abea0c3e83404bb661beda53a98</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t handle_attrs, void(*callback)(int, int, void *))</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_handle_attrs_copy</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g7f1405215e6094f2946b29f504366073</anchor>
      <arglist>(globus_gsi_proxy_handle_attrs_t a, globus_gsi_proxy_handle_attrs_t *b)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_l_gsi_proxy_handle_attrs_s *</type>
      <name>globus_gsi_proxy_handle_attrs_t</name>
      <anchorfile>group__globus__gsi__proxy__handle__attrs.html</anchorfile>
      <anchor>g898637624b959f5f8155cd4e4c6fc36e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_operations</name>
    <title>Proxy Operations</title>
    <filename>group__globus__gsi__proxy__operations.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_create_req</name>
      <anchorfile>group__globus__gsi__proxy__operations.html</anchorfile>
      <anchor>g34b58c47dbf1431c9a51ebed5d7a719a</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, BIO *output_bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_inquire_req</name>
      <anchorfile>group__globus__gsi__proxy__operations.html</anchorfile>
      <anchor>g9d144a8c3176ddc819b06046807dc7e9</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, BIO *input_bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_resign_cert</name>
      <anchorfile>group__globus__gsi__proxy__operations.html</anchorfile>
      <anchor>ga1fbcf9ab99cbc4d485b346acfe38ef0</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t issuer_credential, globus_gsi_cred_handle_t peer_credential, globus_gsi_cred_handle_t *resigned_credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_sign_req</name>
      <anchorfile>group__globus__gsi__proxy__operations.html</anchorfile>
      <anchor>g2d41833bb092374b0297a744d49cb610</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t issuer_credential, BIO *output_bio)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_create_signed</name>
      <anchorfile>group__globus__gsi__proxy__operations.html</anchorfile>
      <anchor>gde9adc6e8a47e7171484e16a6658fbf5</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t issuer, globus_gsi_cred_handle_t *proxy_credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_gsi_proxy_assemble_cred</name>
      <anchorfile>group__globus__gsi__proxy__operations.html</anchorfile>
      <anchor>g838a32a81f38dd2374f5c24c0d7e76e0</anchor>
      <arglist>(globus_gsi_proxy_handle_t handle, globus_gsi_cred_handle_t *proxy_credential, BIO *input_bio)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_proxy_constants</name>
    <title>Proxy Constants</title>
    <filename>group__globus__gsi__proxy__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_proxy_error_t</name>
      <anchor>ge99134c68fbd8a04c0fb92adebc17c06</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_SUCCESS</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c061ebbef8ea7ccec8fc012ad863f67c612</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c063b9ae87eda6899096728c18a461d910f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_HANDLE_ATTRS</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c0675a2cfdde15b61a9bcc30054e9ddd52f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PROXYCERTINFO</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c062d59c0bc639619e43a6736ddff893872</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PROXYPOLICY</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c06d7779c3b603e384a71564755498241dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PATHLENGTH</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c06f2c1f5ddf3ec6455a80d9d94216336c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_X509_REQ</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c0682c0323003d9307b416f50bf98a55ce7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_X509</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c06594a3e014b89f66310c82b1496f7eb95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_X509_EXTENSIONS</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c065ffc208c4afd5b61dd9eed9c6d5ec5c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_PRIVATE_KEY</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c061561ba6a7f106b5bc062009dc47f7a51</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_BIO</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c067167c487c4471883ff44a6b65f35c4f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_CREDENTIAL</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c068082201e1c67c0dafb875acc656f925d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c065ca1a46c45e41d5a6befd4986728c894</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_WITH_CRED_HANDLE_ATTRS</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c069f392e82075869cad6ccb23b216572fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_ERRNO</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c063748340e9b6eab2850aff89550e6204e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_SETTING_HANDLE_TYPE</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c06d18b5d89a7597b9113b0a7acd28a9f2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_INVALID_PARAMETER</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c065fbaefc70a4ac4eab306d646d25e1419</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_SIGNING</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c0632eec6e02339e7afeab9320998888116</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_PROXY_ERROR_LAST</name>
      <anchor>gge99134c68fbd8a04c0fb92adebc17c0616804b996b6e1a8553ceb7048575f1be</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
